curl --request GET \
--url https://int-data.moneydesktop.com/institutions/{institution_guid} \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/institutions/{institution_guid}"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/institutions/{institution_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"institution": {
"code": "mxbank",
"created_at": "2016-09-21T22:03:55.000Z",
"guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"forgot_password_url": "https://www.mx.com/forgot-password",
"forgot_username_url": "https://www.mx.com/forgot-username",
"has_checking_account": "https://www.mx.com/forgot-username",
"has_credit_card_accounts": true,
"has_investment_accounts": true,
"has_line_of_credit_accounts": true,
"has_loan_accounts": true,
"has_mortgage_accounts": true,
"has_savings_accounts": true,
"is_disabled_by_client": false,
"is_hidden": true,
"is_test": true,
"iso_country_code": [
"US",
"CA"
],
"medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/INS-1572a04c-912b-59bf-5841-332c7dfafaef_100x100.png",
"name": "MX Bank",
"popularity": 72644,
"small_logo_url": "https://content.moneydesktop.com/storage/MD_AssetsIpad%20Logos/50x50/INS-1572a04c-912b-59bf-5841-332c7dfafaef_50x50.png",
"supports_account_identification": true,
"supports_account_verification": true,
"supports_oauth": true,
"supports_transaction_history": false,
"trouble_signing_in_url": "https://www.mx.com/trouble-signing-in",
"updated_at": "2022-04-11T17:38:27.000Z",
"url": "https://www.mx.com"
},
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Read institution
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
The unique identifier for an institution. Defined by MX.
Response
OK
Hide child attributes
Hide child attributes
A unique identifier for each institution. Defined by MX.
"mxbank"
Date and time the institution was created, represented ISO 8601 format with timestamp.
"2016-09-21T22:03:55.000Z"
A unique identifier for the institution. Defined by MX.
"INS-1572a04c-912b-59bf-5841-332c7dfafaef"
The URL of the institution for helping users recover a forgotten password.
"https://www.mx.com/forgot-password"
The URL of the institution for helping users recover a forgotten username.
"https://www.mx.com/forgot-username"
Deprecated. If the institution has checking accounts, this field will be true. Otherwise, this field will be false.
"https://www.mx.com/forgot-username"
(Deprecated) If the institution has credit card accounts, this field will be true. Otherwise, this field will be false.
true
(Deprecated) If the institution has investment accounts, this field will be true. Otherwise, this field will be false
true
(Deprecated) If the institution has line of credit accounts, this field will be true. Otherwise, this field will be false.
true
(Deprecated) If the institution has loan accounts, this field will be true. Otherwise, this field will be false.
true
(Deprecated) If the institution has mortgage accounts, this field will be true. Otherwise, this field will be false.
true
(Deprecated) If the institution has savings accounts, this field will be true. Otherwise, this field will be false.
true
This indicates whether the institution has been disabled by the client.
false
If the institution is available for creating new member connections, this field will be false. Otherwise, this field will be true.
true
If the institution represents a test institution such as MX Bank, this field will be true. Otherwise, this field will be false.
true
The institution's country code.
["US", "CA"]
The institution's logo (medium size). This may be a generic logo if MX does not have a specific logo for the institution.
"https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/INS-1572a04c-912b-59bf-5841-332c7dfafaef_100x100.png"
The name of the institution that is visible to the user.
"MX Bank"
The number of member connections to the institution.
72644
The institution's logo (small size). This may be a generic logo if MX does not have a specific logo for the institution.
"https://content.moneydesktop.com/storage/MD_AssetsIpad%20Logos/50x50/INS-1572a04c-912b-59bf-5841-332c7dfafaef_50x50.png"
Indicates whether account identification is available for this institution.
true
Indicates whether account verification is available for this institution.
true
This indicates whether the institution supports OAuth authentication.
true
Indicates whether the institution allows access to up to 24 months of transaction data.
false
The URL of the institution for helping users troubleshoot any other sign-in issue.
"https://www.mx.com/trouble-signing-in"
Date and time the institution was updated, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
"2022-04-11T17:38:27.000Z"
The URL of the institution.
"https://www.mx.com"

